red_tail.h File Reference
`#include "groebner_defs.h"`
`#include "LexHelper.h"`
`#include "DegOrderHelper.h"`
`#include "BlockOrderHelper.h"`
`#include "GroebnerStrategy.h"`

Go to the source code of this file.

## Namespaces

| polybori
| polybori::groebner

## Functions

Polynomial | polybori::groebner::red_tail_general (const ReductionStrategy &strat, Polynomial p)
template<class Helper >
Polynomial | polybori::groebner::red_tail_generic (const ReductionStrategy &strat, Polynomial p)
Polynomial | polybori::groebner::red_tail (const ReductionStrategy &strat, Polynomial p)
Polynomial | polybori::groebner::red_tail_short (const ReductionStrategy &strat, Polynomial p)
Polynomial | polybori::groebner::red_tail_in_last_block (const GroebnerStrategy &strat, Polynomial p)

## Detailed Description

Author
  Michael Brickenstein

Date
  2011-07-01

This file includes the definition of the `red_tail` functions.

Copyright:
  (c) 2006-2011 by The PolyBoRi Team